Bug 20011 - use Modern::Perl in plugins perl scripts
Summary: use Modern::Perl in plugins perl scripts
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Zoe Bennett
QA Contact: Testopia
URL:
Whiteboard:
Keywords: Academy
Depends on:
Blocks: 2505
  Show dependency treegraph
 
Reported: 2018-01-17 19:47 UTC by Aleisha Amohia
Modified: 2018-02-16 00:59 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 20011: Changing 'use strict; use warnings;' to 'use Modern::Perl;' (2.14 KB, patch)
2018-01-18 03:17 UTC, Zoe Bennett
Details | Diff | Splinter Review
Bug 20011: Changing 'use strict; use warnings;' to 'use Modern::Perl;' (2.14 KB, patch)
2018-01-24 18:28 UTC, Jon Knight
Details | Diff | Splinter Review
Bug 20011: Changing 'use strict; use warnings;' to 'use Modern::Perl;' (2.19 KB, patch)
2018-01-24 18:33 UTC, Jon Knight
Details | Diff | Splinter Review
Bug 20011: use Modern::Perl in plugins perl scripts (2.25 KB, patch)
2018-02-04 13:31 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Aleisha Amohia 2018-01-17 19:47:00 UTC
use Modern::Perl should be used instead of use strict; use warnings;

Relevant in:
plugins-home.pl
plugins-uninstall.pl
plugins-upload.pl
run.pl
Comment 1 Zoe Bennett 2018-01-18 03:17:44 UTC
Created attachment 70669 [details] [review]
Bug 20011: Changing 'use strict; use warnings;' to 'use Modern::Perl;'

Test Plan:
- Check that it now says 'use Modern::Perl' and not 'use trict; use
warnings;' in the follwing plugins perl scripts

plugins-home.pl
plugins-uninstall.pl
plugins-upload.pl
run.pl
Comment 2 Jon Knight 2018-01-24 18:28:25 UTC
Created attachment 70889 [details] [review]
Bug 20011: Changing 'use strict; use warnings;' to 'use Modern::Perl;'

Test Plan:
- Check that it now says 'use Modern::Perl' and not 'use trict; use
warnings;' in the follwing plugins perl scripts

plugins-home.pl
plugins-uninstall.pl
plugins-upload.pl
run.pl
Comment 3 Jon Knight 2018-01-24 18:33:16 UTC
Created attachment 70890 [details] [review]
Bug 20011: Changing 'use strict; use warnings;' to 'use Modern::Perl;'

Test Plan:
- Check that it now says 'use Modern::Perl' and not 'use trict; use
warnings;' in the follwing plugins perl scripts

plugins-home.pl
plugins-uninstall.pl
plugins-upload.pl
run.pl

Signed-off-by: Jon Knight <J.P.Knight@lboro.ac.uk>
Comment 4 Katrin Fischer 2018-02-04 13:31:42 UTC
Created attachment 71188 [details] [review]
Bug 20011: use Modern::Perl in plugins perl scripts

Test Plan:
- Check that it now says 'use Modern::Perl' and not 'use trict; use
warnings;' in the follwing plugins perl scripts

plugins-home.pl
plugins-uninstall.pl
plugins-upload.pl
run.pl

Signed-off-by: Jon Knight <J.P.Knight@lboro.ac.uk>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 5 Jonathan Druart 2018-02-05 12:59:33 UTC
Pushed to master for 18.05, thanks to everybody involved!
Comment 6 Nick Clemens 2018-02-16 00:59:22 UTC
Awesome work all! Enhancement not backported to stable.